fiu-utils_0.93-2+b1_amd64.deb


Advertisement

Description

fiu-utils - userspace fault injection framework (utilities)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name fiu-utils
Package version 0.93
Package release 2+b1
Package architecture amd64
Package type deb
Installed size 55 B
Download size 10.36 KB
Official Mirror ftp.br.debian.org
libfiu is a C library for fault injection. It provides functions to mark
"points of failure" inside your code (the "core API"), and functions to
enable/disable the failure of those points (the "control API").
This package contains the fiu-run, fiu-ls and fiu-ctrl utilities.

Alternatives

Package Version Architecture Repository
fiu-utils_0.93-2_i386.deb 0.93 i386 Debian Main
fiu-utils - - -

Requires

Name Value
libfiu0 = 0.93-2+b1

Download

Type URL
Binary Package fiu-utils_0.93-2+b1_amd64.deb
Source Package libfiu

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install fiu-utils deb package:
    # sudo apt-get install fiu-utils

Files

Path
/usr/bin/fiu-ctrl
/usr/bin/fiu-ls
/usr/bin/fiu-run
/usr/share/doc/fiu-utils/changelog.Debian.amd64.gz
/usr/share/doc/fiu-utils/changelog.Debian.gz
/usr/share/doc/fiu-utils/copyright
/usr/share/doc/fiu-utils/function_list
/usr/share/man/man1/fiu-ctrl.1.gz
/usr/share/man/man1/fiu-ls.1.gz
/usr/share/man/man1/fiu-run.1.gz

Changelog

2014-07-30 - Chris Lamb <lamby@debian.org>
libfiu (0.93-2) unstable; urgency=low
* Add patch from upstream to fix FTBFS on i386.
2014-07-29 - Chris Lamb <lamby@debian.org>
libfiu (0.93-1) unstable; urgency=medium
* New upstream release.
* Strip Debian revision from symbols.
2013-10-30 - Chris Lamb <lamby@debian.org>
libfiu (0.92-1) unstable; urgency=low
* New upstream release.
* Add "this work is to be considered Public Domain" to debian/copyright.
Thanks to Ansgar Burchardt.
* Bump Standards-Version to 3.9.4.
* Update debian/symbols.
2013-05-23 - Chris Lamb <lamby@debian.org>
libfiu (0.91-2) unstable; urgency=low
* Require the testsuite to pass at request of upstream - was optional since
0.90-3.
* Add/fix support for python3:
- Add python3-fiu binary to debian/control
- Adjust debian/rules to build for all versions
- Change python/python3 build deps to python{3}-all-dev to support build
for all versions
Thanks to Scott Kitterman <debian@kitterman.com>.
* Move to dh_python2. Thanks to Scott Kitterman <debian@kitterman.com>.
2012-09-06 - Chris Lamb <lamby@debian.org>
libfiu (0.91-1) unstable; urgency=low
* New upstream release.
* Update symbols.
* Drop 01_wrap_python_for_tests.diff - applied upstream.
* Drop 02_include_stdlib.diff - applied upstream.
2012-04-11 - Chris Lamb <lamby@debian.org>
libfiu (0.90-3) unstable; urgency=low
* Make passing the testsuite optional; upstream does not 100% rely on it yet
on all architectures.
2012-04-06 - Chris Lamb <lamby@debian.org>
libfiu (0.90-2) unstable; urgency=low
* Apply patch from upstream to attempt to fix broken builds.
<http://blitiri.com.ar/git/?p=libfiu;a=commit;h=005a56fbcb5ab8045f9d51676c521b335f058552>
2012-04-05 - Chris Lamb <lamby@debian.org>
libfiu (0.90-1) unstable; urgency=low
* New upstream release.
* Add python3-dev to Build-Depends.
* Add patch from upstream to fix Python tests.
<http://blitiri.com.ar/git/?p=libfiu;a=commit;h=83fb1e675de26ad5409e554e2947e53c8f1b10c0>
* Update symbols.
2011-11-16 - Chris Lamb <lamby@debian.org>
libfiu (0.14-2) unstable; urgency=low
* Add missing Build-Depends on python-support. (Closes: #642450)
2011-07-15 - Chris Lamb <lamby@debian.org>
libfiu (0.14-1) unstable; urgency=low
* New upstream release.
- Drop "01_libc6_location.diff"; applied upstream.
- Drop "02_mode_t_freebsd.diff"; applied upstream.
* Update Vcs-{Git,Browser}.
* Bump Standards-Version to 3.9.1.
* Bump Standards-Version to 3.9.2.

See Also

Package Description
five-or-more_3.14.1-1_amd64.deb make color lines of five or more length
fixincludes_4.9.2-10+deb8u1_amd64.deb Fix non-ANSI header files
fizmo-common_0.7.9-1_all.deb Provides localization data from all default fizmo-related
fizmo-console_0.7.9-1+b2_amd64.deb Console-based Z-machine interpreter for Infocom/Inform games
fizmo-ncursesw_0.7.9-1+b2_amd64.deb Ncurses-based Z-machine interpreter for Infocom/Inform games
fizsh_1.0.7-1_all.deb Friendly Interactive ZSHell
fl-cow_0.6-4.2_amd64.deb copy-on-write utility
flac_1.3.0-3_amd64.deb Free Lossless Audio Codec - command line tools
flactag_2.0.4-3+b1_amd64.deb Tagger for whole-album FLAC files using data from MusicBrainz
flake_0.11-2_amd64.deb Alternative encoder for the Free Lossless Audio Codec
flam3_3.0.1-3+b2_amd64.deb render and animate FLAM3s and manipulate their genomes
flamerobin_0.9.3~+20140206.3f9645c-4_amd64.deb graphical database administration tool for Firebird DBMS
flamethrower_0.1.8-3_all.deb Multicast file distribution utility
flann-doc_1.8.4-4.1_all.deb Fast Library for Approximate Nearest Neighbors - documentation
flare-data_0.19-1_all.deb Meta package to deal with package name changes in Flare 0.19
Advertisement
Advertisement